Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518918

Summary: When copying a Service Dialog the pre 5.9.0 dialog editor is displayed
Product: Red Hat CloudForms Management Engine Reporter: Brant Evans <brant.evans>
Component: UI - OPSAssignee: Roman Blanco <rblanco>
Status: CLOSED CURRENTRELEASE QA Contact: Dave Johnson <dajohnso>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, dclarizi, hkataria, jhardy, mpovolny, obarenbo, rblanco, simaishi
Target Milestone: GAKeywords: TestOnly
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1531297 (view as bug list) Environment:
Last Closed: 2018-06-21 20:53:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: Bug
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1531297    
Attachments:
Description Flags
copying service dialog screen capture none

Description Brant Evans 2017-11-29 18:32:04 UTC
Created attachment 1360500 [details]
copying service dialog screen capture

Description of problem:
Copying a Service Dialog shows the pre-5.9.0 dialog editor

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Automation > Automate > Customization / Service Dialogs
2. Select an existing Service Dialog
3. Click Configuration -> Copy this Dialog

Actual results:
Old dialog editor displayed

Expected results:
New dialog editor displayed

Additional info:
Editing the dialog after clicking the Add button edits the dialog using the new editor.

The attached screen capture demonstrates the issue.

Comment 4 Roman Blanco 2017-12-19 09:26:10 UTC
PR https://github.com/ManageIQ/manageiq-ui-classic/pull/2986 is ready, waiting for review